%define _disable_ld_no_undefined 1

%define	name	compiz-plugins-extra
%define	version	0.9.7.0
%define	rel		4
%define	git		0

%if %{git}
%define	srcname		%{name}-%{git}.tar.xz
%define	distname	%{name}-%{git}
%define	release		%mkrel %{rel}.%{git}
%else
%define	srcname		%{name}-%{version}.tar.bz2
%define	distname	%{name}-%{version}
%define	release		%mkrel %{rel}
%endif

Summary:	Compiz Extra Plugin Set for compiz
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		System/X11
URL:		http://www.compiz.org/

Source0:	%{srcname}
Patch0:		0001-Treat-screenlets-windows-as-widgets.patch


BuildRequires:		cmake
BuildRequires:		pkgconfig(dbus-1)
BuildRequires:		pkgconfig(compiz) >= %{version}
BuildRequires:		gettext-devel
BuildRequires:		intltool
BuildRequires:		pkgconfig(compiz-animation) >= %{version}
BuildRequires:		pkgconfig(gconf-2.0)
BuildRequires:		pkgconfig(glu)
BuildRequires:		jpeg-devel
BuildRequires:		pkgconfig(pango)
BuildRequires:		pkgconfig(libnotify)
BuildRequires:		boost-devel
BuildRequires:		pkgconfig(gl)
BuildRequires:		pkgconfig(gtk+-2.0)

Requires:			compiz
%rename				compiz-fusion-plugins-extra

%description
This is the extra plugin set from the Compiz community.

This is a combination of the Compiz Extras and Beryl communities

%files -f %{name}.lang
%{_libdir}/compiz/lib*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/splash/*
%{_datadir}/compiz/reflex/*
%{_datadir}/compiz/cubeaddon/*
%{_datadir}/compiz/notification/*
%{_datadir}/compiz/showmouse/*
%{_datadir}/gconf/schemas/compiz-*.schemas
%{_datadir}/glib-2.0/schemas/org.freedesktop.compiz.*

#----------------------------------------------------------------------------

%package	devel
Summary:	Development files for Compiz Fusion Extra Plugin Set for compiz
Group:		Development/X11
%rename		compiz-fusion-plugins-extra-devel

%description devel
Development files for Compiz Fusion Extra Plugin Set for compiz

%files devel
%{_includedir}/compiz/*
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q -n %{distname}
%patch0 -p1


%build
%cmake
%make

%install
%__rm -rf %{buildroot}
pushd build
%makeinstall_std
popd
find %{buildroot} -name *.la -exec rm -f {} \;
%find_lang %{name}



#----------------------------------------------------------------------------


%changelog

* Thu Apr 26 2012 julien <julien> 0.9.7.0-4.mga2
+ Revision: 233367
- rebuild for new compiz

* Sun Mar 25 2012 fwang <fwang> 0.9.7.0-3.mga2
+ Revision: 226174
- rebuild for new compiz

  + julien <julien>
    - rebuild for new compiz

* Sat Mar 03 2012 julien <julien> 0.9.7.0-1.mga2
+ Revision: 217403
- update to new version 0.9.7.0

* Thu Feb 23 2012 julien <julien> 0.9.7-0.bzr9.mga2
+ Revision: 212695
- update to latest bzr
- drop upstream patch1 2 3
- more meaningful summary/description

* Sun Feb 05 2012 julien <julien> 0.9.5.92-5.mga2
+ Revision: 204850
- fix compilation with new compiz

* Sun Jan 22 2012 julien <julien> 0.9.5.92-4.mga2
+ Revision: 199867
- rebuild for new compiz

* Wed Nov 30 2011 julien <julien> 0.9.5.92-3.mga2
+ Revision: 174421
- rebuild for new compiz

* Sun Nov 27 2011 julien <julien> 0.9.5.92-2.mga2
+ Revision: 172899
- rename compiz-fusion-plugins-extra to compiz-plugins-extra
- rename to be inline with upstream

* Mon Nov 07 2011 mikala <mikala> 0.9.5.92-1.mga2
+ Revision: 164621
- Remove %%defattr()
- switch to pkconfig() for BR

  + julien <julien>
    - add a BR on gtk+-2.0
    - force j1 to be safe
    - add missing BR
    - add BR to boost
    - clean some warnings
    - add a buildrequire on cmake
    - update to version 0.9.5.92
    - drop patch1
    - rediff patch0

* Sat Jun 25 2011 julien <julien> 0.8.8-1.mga2
+ Revision: 113660
- update to version 0.8.8
 - cleanup specfile
 - add patch to allow compilation against libnotify 0.6.1+ and autotools
 - move static libs to devel package

  + dmorgan <dmorgan>
    - Rebuild against new libnotify

* Thu Apr 14 2011 ennael <ennael> 0.8.6-3.mga1
+ Revision: 85092
- clean patches
- remove uneeded patches
- clean spec file
- imported package compiz-fusion-plugins-extra

